%define upstream_name    Mail-POP3Client
%define upstream_version 2.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    POP3Client module for perl (Mail_and_Usenet_News/Mail)
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SD/SDOWD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

Obsoletes:  perl-POP3Client <= 2.130.0
Provides:   POP3Client = %{version}

%description
POP3Client is a Perl module to provide an object-oriented interface to a
POP3 server.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std
%{__rm} -rf $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc Changes FAQ META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Mail/
%_mandir/man3/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.190.0-2.mga4
+ Revision: 539405
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 2.190.0-1.mga4
+ Revision: 492129
- update to 2.19

* Sun Jan 13 2013 umeabot <umeabot> 2.180.0-3.mga3
+ Revision: 369423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 2.180.0-2.mga1
+ Revision: 52165
- obsoleting perl-POP3Client

* Sat Jan 22 2011 jquelin <jquelin> 2.180.0-1.mga1
+ Revision: 30774
- mageia rebuild
- imported package perl-Mail-POP3Client


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 2.180.0-1mdv2010.0
+ Revision: 407794
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.18-4mdv2009.0
+ Revision: 257689
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.18-3mdv2009.0
+ Revision: 245775
- rebuild

* Thu Feb 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2008.1
+ Revision: 175983
- update to new version 2.18

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 2.17-1mdv2008.0
+ Revision: 25116
- Import perl-Mail-POP3Client

